Well, thanks I guess. I know this is stupid, but what would happen if I were to use the outdated stable ISO to install, and then do a sorcery update & recompile my system from there?

There have been a lot of API/ABI breakages in the last 10 years (even from current stable to test), so I doubt this upgrade path would work smoothly.

The easiest to guarantee was from one stable to another (like what OpenBSD does), but we never tested it besides basic 120-140 spells due to lack of human resources, and now we have been lagging in preparing stable releases (for a few years by now), so we're in half-rolling release state now.

Edited 17 Dec, 2021 23:31